Bug Hunting Session
Bug 126643 - If I select LibreOffice Calc macros Python, an error message box mentions JRE is required.
Summary: If I select LibreOffice Calc macros Python, an error message box mentions JRE...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-31 17:15 UTC by Nukool Chompuparn
Modified: 2019-10-08 09:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Error message box (14.90 KB, image/jpeg)
2019-07-31 17:17 UTC, Nukool Chompuparn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nukool Chompuparn 2019-07-31 17:15:36 UTC
Description:
I use Fedora 30 Workstation KDE from Fedora Spins and LibreOffice 6.4.0.0.alpha+.
If I select 'Tools > Macros > Organize Macros > Python' in Calc, an error message box pops up. The title caption is 'JRE Required'. The message is 'LibreOffice requires a Java runtime environment (JRE) to perform this task. Please install a JRE and restart LibreOffice.'


Steps to Reproduce:
1.If I select 'Tools > Macros > Organize Macros > Python' in Calc, an error message box pops up. 
2.The title caption is 'JRE Required'. The message is 'LibreOffice requires a Java runtime environment (JRE) to perform this task. Please install a JRE and restart LibreOffice.'
3.

Actual Results:
If I press 'OK', I can't write Python codes.

Expected Results:
It should be like selecting 'LibreOffice Basic'.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Nukool Chompuparn 2019-07-31 17:17:30 UTC
Created attachment 153078 [details]
Error message box
Comment 2 Nukool Chompuparn 2019-07-31 17:19:53 UTC
I also tried on LibreOffice 6.2.5.2, such error also exists.
Comment 3 Mike Kaganski 2019-08-01 22:24:37 UTC
https://gerrit.libreoffice.org/76831
Comment 4 Commit Notification 2019-08-02 00:03:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1a1f4e73b7ab9e5b071aab74c8d7e27ba2b2d29c%5E%21

tdf#126643: avoid unnecessary asking for JRE in script organizer dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-08-03 18:17:45 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/60b6288bc1aec17d04b45f62ba6f117fc43f8ab4%5E%21

tdf#126643: avoid unnecessary asking for JRE in script organizer dialog

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.